# H460_FeatureID Class Reference

`#include <h4601.h>`

Inheritance diagram for H460_FeatureID:

[legend]
Collaboration diagram for H460_FeatureID:
[legend]

## Public Member Functions

Construction
| H460_FeatureID ()
| H460_FeatureID (unsigned ID)
| H460_FeatureID (OpalOID ID)
| H460_FeatureID (PString ID)
| H460_FeatureID (H225_GenericIdentifier ID)
Operators
| operator unsigned () const
| operator OpalOID & ()
| operator PString () const
PINLINE H460_FeatureID & | operator= (unsigned ID)
PINLINE H460_FeatureID & | operator= (OpalOID ID)
PINLINE H460_FeatureID & | operator= (PString ID)
unsigned | GetFeatureType () const
PString | IDString () const
PDictionary
PObject * | Clone () const
PObject::Comparison | Compare (const PObject &obj) const

## Detailed Description

This is a base class for H.460 FeatureID. Feature ID's can be in 3 formats: Standard : h460 series feature unsigned values; OID : Array of unsigned values; NonStandard : PString Value

The Derived Feature ID used as an index of the H460_FeatureContent is used to describe the parameters of a Feature.

## Constructor & Destructor Documentation

H460_FeatureID::H460_FeatureID | ( |  | ) |

Blank Feature

H460_FeatureID::H460_FeatureID | ( | unsigned | ID | ) |

Standard Feature ID

H460_FeatureID::H460_FeatureID | ( | OpalOID | ID | ) |

OID Feature ID

H460_FeatureID::H460_FeatureID | ( | PString | ID | ) |

NonStandard Feature ID

H460_FeatureID::H460_FeatureID | ( | H225_GenericIdentifier | ID | ) |

## Member Function Documentation

PObject* H460_FeatureID::Clone | ( |  | ) | const

PObject::Comparison H460_FeatureID::Compare | ( | const PObject & | obj | ) | const

unsigned H460_FeatureID::GetFeatureType | ( |  | ) | const`[inline]`

Get the FeatureType

PString H460_FeatureID::IDString | ( |  | ) | const

H460_FeatureID::operator OpalOID & | ( |  | ) | `[inline]`

OID Feature ID

H460_FeatureID::operator PString | ( |  | ) | const`[inline]`

NonStandard Feature ID

H460_FeatureID::operator unsigned | ( |  | ) | const`[inline]`

Standard Feature ID

PINLINE H460_FeatureID& H460_FeatureID::operator= | ( | PString | ID | ) |

PINLINE H460_FeatureID& H460_FeatureID::operator= | ( | OpalOID | ID | ) |

PINLINE H460_FeatureID& H460_FeatureID::operator= | ( | unsigned | ID | ) |

The documentation for this class was generated from the following file:

- h4601.h